Bug 973918 - Fail to move a gear to another node for any type cartridge in without district
Fail to move a gear to another node for any type cartridge in without district
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
All All
medium Severity low
: ---
: ---
Assigned To: Ravi Sankar
Rajat Chopra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 02:30 EDT by zhaozhanqi
Modified: 2015-05-14 20:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:53:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhaozhanqi 2013-06-13 02:30:30 EDT
Description of problem:

setup multi-node env, and did'nt create district and then create any type cartridge (non-scaling or scalable), move this gear to another node.it will be failed.

Version-Release number of selected component (if applicable):
devenv_3353

How reproducible:
always

Steps to Reproduce:
1. setup multi-node system
2. create one app
3. move one gear to another node
   

Actual results:

[root@ip-10-145-150-224 node]# oo-admin-move --gear_uuid 679940397732723746144256 -i ip-10-202-62-198 
URL: http://zqphp-zqd.dev.rhcloud.com
Login: zzhao@redhat.com
App UUID: 51b95ee6881deaccec0000d7
Gear UUID: 51b95ee6881deaccec0000d7
DEBUG: Source district uuid: NONE
DEBUG: Destination district uuid: NONE
DEBUG: Getting existing app 'zqphp' status before moving
DEBUG: Gear component 'php-5.3' was running
DEBUG: Stopping existing app cartridge 'php-5.3' before moving
DEBUG: Force stopping existing app cartridge 'php-5.3' before moving
DEBUG: Creating new account for gear 'zqphp' on ip-10-202-62-198
DEBUG: Moving content for app 'zqphp', gear 'zqphp' to ip-10-202-62-198
Identity added: /var/www/openshift/broker/config/keys/rsync_id_rsa (/var/www/openshift/broker/config/keys/rsync_id_rsa)
Agent pid 31400
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 31400 killed;
DEBUG: Moving system components for app 'zqphp', gear 'zqphp' to ip-10-202-62-198
Identity added: /var/www/openshift/broker/config/keys/rsync_id_rsa (/var/www/openshift/broker/config/keys/rsync_id_rsa)
Agent pid 31461
unset SSH_AUTH_SOCK;
unset SSH_AGENT_PID;
echo Agent pid 31461 killed;
DEBUG: Starting cartridge 'php-5.3' in 'zqphp' after move on ip-10-202-62-198
DEBUG: Moving failed.  Rolling back gear 'zqphp' 'zqphp' with remove-httpd-proxy on 'ip-10-202-62-198'
DEBUG: Remove httpd proxy with cart 'php-5.3' failed on 'ip-10-202-62-198'  - gear: 'zqphp', app: 'zqphp'
DEBUG: Moving failed.  Rolling back gear 'zqphp' in 'zqphp' with destroy on 'ip-10-202-62-198'
Node execution failure (invalid exit code from node).  If the problem persists please contact Red Hat support.

Expected results:

should be moved successfully.

Additional info:
Comment 1 Ravi Sankar 2013-06-17 19:38:58 EDT
Fixed in https://github.com/openshift/origin-server/pull/2872
Comment 2 openshift-github-bot 2013-06-17 21:36:46 EDT
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/5d1e8cec46a64635786b13f9b289ccc0782b4660
Bug 973918 - Do not allow move gear with oo-admin-move without districts.

https://github.com/openshift/origin-server/commit/c00dd735be68caa8250d8ce30bbd876c26710bc9
Merge pull request #2872 from pravisankar/dev/ravi/bug973918

Merged by openshift-bot
Comment 3 zhaozhanqi 2013-06-18 06:22:51 EDT
Tested this issue on devenv_3375, it has been fixed

[root@ip-10-155-218-225 openshift]# oo-admin-move --gear_uuid 0c741306d7ff11e2889722000a9bdae1 -i ip-10-144-85-89
URL: http://phpc9s2-zqd.dev.rhcloud.com
Login: zzhao@redhat.com
App UUID: 51c031a8b21f7f800700006f
Gear UUID: 51c031a8b21f7f800700006f
Move gear *not* supported without districts.

Note You need to log in before you can comment on or make changes to this bug.